import { __exports as r } from "./index-LexicalDecoratorBlockNode.prod2.js";
import { __require as n } from "./index-Lexical.js";
var a;
function l() {
  if (a) return r;
  a = 1;
  var c = n();
  class o extends c.DecoratorNode {
    constructor(e, i) {
      super(i), this.__format = e || "";
    }
    exportJSON() {
      return { format: this.__format || "", type: "decorator-block", version: 1 };
    }
    createDOM() {
      return document.createElement("div");
    }
    updateDOM() {
      return !1;
    }
    setFormat(e) {
      this.getWritable().__format = e;
    }
    isInline() {
      return !1;
    }
  }
  return r.$isDecoratorBlockNode = function(t) {
    return t instanceof o;
  }, r.DecoratorBlockNode = o, r;
}
export {
  l as __require
};
